#ifndef VST_WORK_SCHEDULAOR_H
#define VST_WORK_SCHEDULAOR_H
#include "vst_work_base.h"
class VST_Work_Schedular : public VST_Work_Base {
public:
    VST_Work_Schedular(int iID, const QString& sName, 
                       VSM_Thread* pParent, VS_Thread* pPreState, VS_Thread* pNextState);

    void do_Msg(const V_Msg& msg) override;
private:
    bool AddMsgToState(int iSMId, uint nResId,uint nAcqResId, int iTransMsgID, const QString &msgName, bool bfront = false);

    void AddMsgToSM(int iSMId, const V_Msg& msg, bool bfront = false);

    CPreciseTime m_waitTime;
};
#endif // VST_WORK_SCHEDULAOR_H
